Instalar ELASTIX sobre CENTOS 5.4 Preinstalado

Discussion in 'Elastix 2.x' started by santyabreu, Dec 22, 2009.

  1. santyabreu

    Joined:
    Dec 22, 2009
    Messages:
    18
    Likes Received:
    0
    Hola amigos

    Muchas gracias por este fantástico foro...

    Tengo una consulta que hacer... veamos, tenemos un grupo de servidores "HOSTED" que tienen preinstalado CentOS 5.4, a los que no tenemos acceso físicamente, unicamente via SSH y creo tener entendido que se puede instalar Elastix con todos sus módulos por esta vía. He leido algo al respecto en este foro, pero la información está muy incompleta y se presta a confusiones.

    ¿Existe algun procedimiento paso a paso... para ir haciéndolo? en su ultima versión 1.5?

    Muchas gracias de antemano.

    ;)
     
  2. bmacias

    Joined:
    Sep 27, 2007
    Messages:
    205
    Likes Received:
    0
    Hola,

    Hay una forma para llevar a un centos a elastix. Te recomiendo que sigas los siguientes pasos:

    1.- Descargar el centos2elastix en tu sistema centos:
    http://sourceforge.net/projects/elastix ... o/download

    2.- montar la iso ElastiXCorE-1.2.1-12sep2008.iso

    mount -o loop ElastiXCorE-1.2.1-12sep2008.iso /mnt/

    3.- Entrar en la capeta /mnt
    4.- Revisar el script install.sh


    Cuando hayas revisado esto, posteas de nuevo para darte algunas sugerencias.

    De todos modos voy a revisar para darme tiempo y crear el: ElastiXCorE-1.6
     
  3. santyabreu

    Joined:
    Dec 22, 2009
    Messages:
    18
    Likes Received:
    0
    Hola Bruno!

    Hey eso seria fantástico, estoy revisando lo que me envías. En cuanto tengas la 1.6 avisame para proceder con las pruebas!

    Saludos y muchas gracias :)
    Santy
     
  4. bmacias

    Joined:
    Sep 27, 2007
    Messages:
    205
    Likes Received:
    0
    Ya lo tengo, por el momento para 32 bits. Dentro de una hora lo subo al source forge para que lo pruebes.
     
  5. bmacias

    Joined:
    Sep 27, 2007
    Messages:
    205
    Likes Received:
    0
  6. adripinp

    Joined:
    Nov 5, 2009
    Messages:
    9
    Likes Received:
    0
    Hola, baje el ElastiXCorE-1.6-i386-22dec2009.iso, segui unas instrucciones similares a http://www.elastix.org/index.php?option ... om_centos5, pero aunque al arrancar me da la posibilidad de arrancar con el nuevo kernel, y al instalar veo como si se instalara correctamente, al reiniciar el laptop no tengo elastix.

    Me podrias brindar una guia para verificar la instalación.

    Gracias.
     
  7. jcastellanos

    Joined:
    Feb 10, 2009
    Messages:
    2,404
    Likes Received:
    0
    pues realmente no entiendo tu pregunta, a que te refieres conque no tienes elastix??
     
  8. adripinp

    Joined:
    Nov 5, 2009
    Messages:
    9
    Likes Received:
    0
    Hola,

    Pues lo que pasa es que cuando termino la instalación y reinicio, no veo las carpetas que deberian aparecer en /etc de asterisk, adicional abro la web y doy localhost y no ingreso a elastix.

    Gracias
     
  9. jcastellanos

    Joined:
    Feb 10, 2009
    Messages:
    2,404
    Likes Received:
    0
    bueno te podria decir que cheques el servicio si esta UP pero si no ves las carpetas quiere decir uque algo no quedo, la duda, no te hace mejor instalar la vercion 2.0 de elastix creoq ue esta con centos 5.4
     
  10. adripinp

    Joined:
    Nov 5, 2009
    Messages:
    9
    Likes Received:
    0
    Hola, intente instalar elastix de esta manera http://www.elastix.org/component/option ... t/lang,en/ ya tengo instalado el kernel que es el kernel-2.6.18-164.el5.i686 di el install se reinicia la maquina ingreso con el kernel correspondiente, ahora quisiera saber cual es el proximo paso, intento ingresar a la 127.0.0.1 para iniciar elastix pero veo el apache, como puedo revisar? o que paso sigo?

    mil gracias por la ayuda que me pueda brindar.
     
  11. adripinp

    Joined:
    Nov 5, 2009
    Messages:
    9
    Likes Received:
    0
    Otra pregunta que tengo es si se tiene en un pc instalado Asterisk es posible instalar la gui de elastix?
     
  12. adripinp

    Joined:
    Nov 5, 2009
    Messages:
    9
    Likes Received:
    0
    Las veces que he intentado instalar siempre me arroja algo asi hay unas dependencias que no encuentra es lo que entiendo pero como puedo solucionar esto?


    [root@dhcppc1 elastix-cd]# yum -y install asterisk* elastix-* freeze fxload kernel-module-rhino* libmfcr2 lzop perl-HTML-TokeParser-Simple perl-WWW-Mechanize
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
    * addons: mirror.skiplink.com
    * base: mirror.steadfast.net
    * epel: ftp.linux.ncsu.edu
    * extras: mirror.linux.duke.edu
    * rpmforge: apt.sw.be
    * updates: mirrors.igsobe.com
    file:///usr/src/elastix-cd/repodata/repomd.xml: [Errno 5] OSError: [Errno 2] No existe el fichero o el directorio: '/usr/src/elastix-cd/repodata/repomd.xml'
    Trying other mirror.
    21 packages excluded due to repository priority protections
    Setting up Install Process
    Package asterisk-sounds is obsoleted by asterisk, trying to install 2009020507:asterisk-1.4.26.3-8.i386 instead
    No package elastix-iptables available.
    No package libmfcr2 available.
    Resolving Dependencies
    --> Running transaction check
    ---> Package asterisk.i386 2009020507:1.4.26.3-8 set to be updated
    --> Processing Dependency: libsuppserv.so.0 for package: asterisk
    --> Processing Dependency: libpri.so.1.4 for package: asterisk
    --> Processing Dependency: libmISDN.so.0 for package: asterisk
    --> Processing Dependency: libopenr2.so.1 for package: asterisk
    --> Processing Dependency: libspeexdsp.so.1 for package: asterisk
    --> Processing Dependency: libpt.so.2.4.2 for package: asterisk
    --> Processing Dependency: libisdnnet.so.0 for package: asterisk
    --> Processing Dependency: libh323_linux_x86_n.so.1.20-beta5 for package: asterisk
    ---> Package asterisk-addons.i386 1:1.4.9-0 set to be updated
    ---> Package asterisk-devel.i386 2009020507:1.4.26.3-8 set to be updated
    ---> Package asterisk-perl.noarch 0:0.10-2 set to be updated
    ---> Package asterisk-sounds-core-en.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-alaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-g722.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-g729.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-gsm.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-siren14.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-siren7.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-sln16.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-ulaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-en-wav.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-alaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-g722.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-g729.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-gsm.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-siren14.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-siren7.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-sln16.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-ulaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-es-wav.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-alaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-g722.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-g729.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-gsm.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-siren14.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-siren7.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-sln16.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-ulaw.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-core-fr-wav.noarch 0:1.4.16-2.el5 set to be updated
    ---> Package asterisk-sounds-es.i386 2009020507:1.4.26.3-8 set to be updated
    ---> Package asterisk-sounds-fr.i386 2009020507:1.4.26.3-8 set to be updated
    ---> Package freeze.i386 0:2.5.0-9.el5 set to be updated
    ---> Package fxload.i386 0:2008_10_13-1 set to be updated
    ---> Package kernel-module-rhino.i686 2:0.99.2-0_2.6.18_164.el5 set to be updated
    ---> Package kernel-module-rhino-xen.i686 2:0.99.2-0_2.6.18_164.el5 set to be updated
    ---> Package lzop.i386 0:1.02-0.5.rc1.el5 set to be updated
    --> Processing Dependency: liblzo2.so.2 for package: lzop
    ---> Package perl-HTML-TokeParser-Simple.noarch 0:3.15-1.el5.rf set to be updated
    ---> Package perl-WWW-Mechanize.noarch 0:1.56-1.el5.rf set to be updated
    --> Processing Dependency: perl(LWP::UserAgent) >= 5.827 for package: perl-WWW-Mechanize
    --> Running transaction check
    ---> Package h323plus.i386 0:1.20.5-0.99.cvs20090515.2 set to be updated
    ---> Package libopenr2.i386 0:1.2.0-1 set to be updated
    ---> Package libpri.i386 0:1.4.10.2-0 set to be updated
    ---> Package lzo.i386 0:2.02-2.el5.1 set to be updated
    ---> Package mISDNuser.i386 0:1.1.9.1-0 set to be updated
    --> Processing Dependency: mISDN >= 1.1.9.1 for package: mISDNuser
    --> Processing Dependency: libopal_linux_x86_r.so.2.2 for package: ekiga
    --> Processing Dependency: opal >= 2.2.2 for package: ekiga
    ---> Package perl-Test-Mock-LWP.noarch 0:0.05-1.el5.rf set to be updated
    --> Processing Dependency: perl(Test::MockObject) for package: perl-Test-Mock-LWP
    ---> Package ptlib.i386 0:2.4.2-2 set to be updated
    --> Processing Dependency: libpt_linux_x86_r.so.1.10.1 for package: ekiga
    --> Processing Dependency: pwlib >= 1.10.1 for package: ekiga
    ---> Package speex.i386 0:1.2rc1-1 set to be updated
    --> Running transaction check
    ---> Package mISDN.i686 0:1.1.9.1-0 set to be updated
    --> Processing Dependency: mISDN-modules for package: mISDN
    --> Processing Dependency: mISDN-modules-xen for package: mISDN
    --> Processing Dependency: libopal_linux_x86_r.so.2.2 for package: ekiga
    --> Processing Dependency: opal >= 2.2.2 for package: ekiga
    ---> Package perl-Test-MockObject.noarch 0:1.09-1.el5.rf set to be updated
    --> Processing Dependency: perl(UNIVERSAL::isa) for package: perl-Test-MockObject
    --> Processing Dependency: perl(UNIVERSAL::can) for package: perl-Test-MockObject
    --> Processing Dependency: libpt_linux_x86_r.so.1.10.1 for package: ekiga
    --> Processing Dependency: pwlib >= 1.10.1 for package: ekiga
    --> Running transaction check
    ---> Package mISDN-modules.i686 0:1.1.9.1-1.2.6.18_164.el5 set to be updated
    ---> Package mISDN-modules-xen.i686 0:1.1.9.1-1.2.6.18_164.el5xen set to be updated
    --> Processing Dependency: libopal_linux_x86_r.so.2.2 for package: ekiga
    --> Processing Dependency: opal >= 2.2.2 for package: ekiga
    ---> Package perl-UNIVERSAL-can.noarch 0:1.15-1.el5.rf set to be updated
    ---> Package perl-UNIVERSAL-isa.noarch 0:1.03-1.el5.rf set to be updated
    --> Processing Dependency: libpt_linux_x86_r.so.1.10.1 for package: ekiga
    --> Processing Dependency: pwlib >= 1.10.1 for package: ekiga
    --> Finished Dependency Resolution
    ekiga-2.0.2-7.0.2.i386 from installed has depsolving problems
    --> Missing Dependency: opal >= 2.2.2 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    ekiga-2.0.2-7.0.2.i386 from installed has depsolving problems
    --> Missing Dependency: libpt_linux_x86_r.so.1.10.1 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    ekiga-2.0.2-7.0.2.i386 from installed has depsolving problems
    --> Missing Dependency: pwlib >= 1.10.1 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    ekiga-2.0.2-7.0.2.i386 from installed has depsolving problems
    --> Missing Dependency: libopal_linux_x86_r.so.2.2 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    Error: Missing Dependency: libpt_linux_x86_r.so.1.10.1 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    Error: Missing Dependency: opal >= 2.2.2 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    Error: Missing Dependency: libopal_linux_x86_r.so.2.2 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    Error: Missing Dependency: pwlib >= 1.10.1 is needed by package ekiga-2.0.2-7.0.2.i386 (installed)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest
    The program package-cleanup is found in the yum-utils package.
    [root@dhcppc1 elastix-cd]#
     
  13. jcastellanos

    Joined:
    Feb 10, 2009
    Messages:
    2,404
    Likes Received:
    0
    lo que puedes instalar es el freepbx para crear extencines y todo eso
     
  14. zeoneo

    Joined:
    Sep 24, 2009
    Messages:
    549
    Likes Received:
    0
    pero siemrpe es recomedable instalar elastix desde sus cd`s de instalkacion ya que no es bueno usar el servidor para otra cosa que no sea de central telefonica.

    Nos vemos
     
  15. jcastellanos

    Joined:
    Feb 10, 2009
    Messages:
    2,404
    Likes Received:
    0
    zeoneo te recuerdo que elastix es un servicio, el elastix se instala por paquetes sin problema alguno sobre linux, lo que ves como cd de instalacion son sistemas centos cerados que ya tienen las paqueterias del elastix, lo que el amigo quiere hacer es posible y funciona sin problemas, la cuestion aqui son las dependencias que no puede instalar, .

    hayq ue checar si no las consigues por otro lado y las instalas sin usar el yum
     
  16. angmarti

    Joined:
    Apr 14, 2010
    Messages:
    5
    Likes Received:
    0
    Hola Bruno,

    Sabes si esta disponible la version de Cent2Elastix para CentOS 5.3? Estoy tratando de instalar Elastix sobre XenServer y las plantillas para el CentOS 5.4 todavia no estan disponibles en XenServer.

    Gracias, Angel
     
  17. Jansito

    Joined:
    May 19, 2010
    Messages:
    27
    Likes Received:
    0
    ¿ Y en qué quedó esto ?. ¿ Lo pudiste hacer ?
     

Share This Page